<?php

if (!defined('SMF'))
	die('Hacking attempt...');

function smf_bannerBar_load_theme()
{
	global $settings, $context, $modSettings, $user_info;

	list($randNum, $outputMarquee, $enabled) = array('?css=' . rand(99, 9999), '', smf_bannerBar_enabled());
	$context['html_headers'] .= '
	<link rel="stylesheet" href="' . $settings['default_theme_url'] . '/css/smf_bannerBar.css' . $randNum . '" />
	<script type="text/javascript">
		function bannerBarAltText(ibthemeid, ibThemeElem = "") {
			if (document.getElementById("bannerBarAlt_" + ibthemeid)) {
				var bannerBarAltValue = ibThemeElem != "" ? ibThemeElem : "main_content_section";
				document.getElementById("bannerBarAlt_" + ibthemeid).value = bannerBarAltValue;
			}
			return false;
		}
		function bannerBarCssText(ibthemeid, ibThemeElem = "") {
			if (document.getElementById("bannerBarCss_" + ibthemeid)) {
				var bannerBarCssValue = ibThemeElem != "" ? ibThemeElem : "1em 0em 1em 0em";
				document.getElementById("bannerBarCss_" + ibthemeid).value = bannerBarCssValue;
			}
			return false;
		}
	</script>';
	$xml = isset($_REQUEST['xml']) ? true : false;
	if (!empty($enabled)) {
		$themeFix = smf_bannerBar_themeFix();
		$elementID = !empty($themeFix[0]) && preg_match('#[0-9]|[a-z]#i', $themeFix[0]) && !preg_match("/^\d+$/", $themeFix[0]) ? $themeFix[0] : 'main_content_section';

		$id_theme = !empty($context['is_logged']) ? $user_info['id_theme'] : $settings['theme_id'];
		$id_theme = !empty($id_theme) ? intval($id_theme) : 1;
		$containerPosArray = array('afterbegin', 'beforebegin', 'afterend', 'beforeend');
		$txtKeyContainer = 'bannerBarContainer_' . strval(intval($id_theme));
		$position = !empty($modSettings[$txtKeyContainer]) ? intval($modSettings[$txtKeyContainer]) : 0;
		$themeFixPosition = $position > -1 && $position < 4 ? $containerPosArray[$position] : 'afterbegin';

		if (!empty($modSettings['bannerBar_marquee_enable'])) {
			$outputMarquee = '
		function bannerBar_marquee_stop(bannerBar_marquee_stopid) {
			document.getElementById("banneribanimation").style.cursor = "pointer";' . (!empty($modSettings['bannerBar_marquee_stop']) ? '
			document.getElementById("banneribanimation").style.animationPlayState="paused";' : '') . '
		}
		function bannerBar_marquee_start(bannerBar_marquee_stopid) {
			document.getElementById("banneribanimation").style.cursor = "inherit";' . (!empty($modSettings['bannerBar_marquee_stop']) ? '
			document.getElementById("banneribanimation").style.animationPlayState="running";' : '') . '
		}';
		}
		$context['html_headers'] .= '
	<link rel="stylesheet" href="' . $settings['default_theme_url'] . '/css/smf_bannerBar.css' . $randNum . '" />
	<script type="text/javascript">
		var smf_bannerBar_afterID = function() {
			if (document.getElementById("' . $elementID . '")) {
				var smf_bannerBarTarget = document.getElementById("' . $elementID . '");
				var smf_bannerBarOutput = document.getElementById("smf_bannerBar_output");
				if (smf_bannerBarTarget && smf_bannerBarOutput) {
					smf_bannerBarTarget.insertAdjacentElement("' . $themeFixPosition . '", smf_bannerBarOutput);
				}
				if (smf_bannerBarOutput)
					smf_bannerBarOutput.style.display = "block";
			}
		};' . $outputMarquee . '
		if (window.addEventListener)
			window.addEventListener("load", smf_bannerBar_afterID, false);
		else if (window.attachEvent)
			window.attachEvent("onload", smf_bannerBar_afterID);
	</script>';
	}
}

function smf_bannerBar_loadHeaders()
{
	global $context, $settings, $modSettings, $user_info, $smcFunc;

	$imageArray = array(
		'topLeft' => !empty($modSettings['bannerBar_topLeftPath']) ? $settings['default_theme_url'] . '/images/bannerbar/' . $modSettings['bannerBar_topLeftPath'] : $settings['default_theme_url'] . '/images/bannerbar/top-left.png',
		'topRight' => !empty($modSettings['bannerBar_topRightPath']) ? $settings['default_theme_url'] . '/images/bannerbar/' . $modSettings['bannerBar_topRightPath'] : $settings['default_theme_url'] . '/images/bannerbar/top-right.png',
		'bottomLeft' => !empty($modSettings['bannerBar_bottomLeftPath']) ? $settings['default_theme_url'] . '/images/bannerbar/' . $modSettings['bannerBar_bottomLeftPath'] : $settings['default_theme_url'] . '/images/bannerbar/bottom-left.png',
		'bottomRight' => !empty($modSettings['bannerBar_bottomRightPath']) ? $settings['default_theme_url'] . '/images/bannerbar/' . $modSettings['bannerBar_bottomRightPath'] : $settings['default_theme_url'] . '/images/bannerbar/bottom-right.png',
	);

	$themeFix = smf_bannerBar_themeFix();
	$styleBG = !empty($themeFix[1]) ? 'background-color: ' . $themeFix[1] . ' !important;' : 'background-color: transparent;';
	$styleTxt = !empty($themeFix[2]) ? 'color: ' . $themeFix[2] . ' !important;' : '';
	$padding = !empty($themeFix[3]) ? 'padding: ' . $themeFix[3] . ' !important;' : 'padding: 0em;';
	$id_theme = !empty($context['is_logged']) ? $user_info['id_theme'] : $settings['theme_id'];
	$id_theme = !empty($id_theme) ? intval($id_theme) : 1;
	$txtKeyWidth = 'bannerBarWidth_' . strval(intval($id_theme));
	$txtKeyHeight = 'bannerBarHeight_' . strval(intval($id_theme));
	$themeFixWidth = !empty($modSettings[$txtKeyWidth]) ? preg_replace("/[^0-9.]+/", "", $modSettings[$txtKeyWidth]) : 100;
	$themeFixWidth = $themeFixWidth > 100 || $themeFixWidth < 1 ? 100 : intval($themeFixWidth);
	$themeFixHeight = !empty($modSettings[$txtKeyHeight]) ? preg_replace("/[^0-9.]+/", "", $modSettings[$txtKeyHeight]) : 3;
	$themeFixHeight = $themeFixHeight > 100 || $themeFixHeight < 0 ? 3 : round($themeFixHeight, 2);
	$bannerBarImageSize = !empty($modSettings['bannerBarImageSize']) ? $modSettings['bannerBarImageSize'] : 0;
	$bannerBarImageSize = preg_replace("/[^0-9.]+/", "", $bannerBarImageSize);
	$bannerBarImageSize = $bannerBarImageSize > 50 || $bannerBarImageSize < 0 ? 1 : round($bannerBarImageSize, 2);
	$bannerBarCSS = !empty($modSettings['bannerBar_css_text']) ? '
		' . $modSettings['bannerBar_css_text'] : '';

	// CSS 2.1
	$context['html_headers'] .= '
	<style>
		#smf_bannerBar_output {
			position: relative;
			height: auto;' . $padding . '
		}
		#bannerbarcss {' . (!empty($modSettings['bannerBarCorners']) ? '
			background-image: url(' . $imageArray['topLeft'] . '), url(' . $imageArray['topRight'] . '), url(' . $imageArray['bottomLeft'] . '), url(' . $imageArray['bottomRight'] . ');
			background-position: 0% 0%, 100% 0%, 0% 100%, 100% 100%;
			background-size: ' . $bannerBarImageSize . 'rem;
			background-origin: content-box, content-box, content-box, content-box;
			background-repeat: no-repeat, no-repeat, no-repeat, no-repeat;' : '') . '
			display: table;
			vertical-align: middle;
			min-width: ' . $themeFixWidth . '%;
			width: ' . $themeFixWidth . '%;' . $styleBG . $styleTxt . '
		}
		.bannerbarRow {
			display: table-row;
			vertical-align: middle;
			position: relative;
			height: ' . $themeFixHeight . 'rem;
		}
		.bannerbarCell {
			display: table-cell;
			vertical-align: middle;
			height: ' . $themeFixHeight . 'rem;' . $styleTxt . '
		}' . $bannerBarCSS . '
	</style>';
}

?>