<?PHP
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
    require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
    die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s SSI.php.');

global $smcFunc, $modSettings;
db_extend('packages');

list($i, $imgArray, $fileArray) = array(0, array("bannerBar_topLeftPath", "bannerBar_topRightPath", "bannerBar_bottomLeftPath", "bannerBar_bottomRightPath"), array("top-left.png", "top-right.png", "bottom-left.png", "bottom-right.png"));
foreach ($imgArray as $img) {
	if (empty($modSettings[$img])) {
		updateSettings(array($img => $fileArray[$i]));
	}
	$i++;
}

add_integration_function('integrate_pre_include', '$sourcedir/smf_bannerBarAdmin.php');
add_integration_function('integrate_pre_include', '$sourcedir/smf_bannerBar.php');
add_integration_function('integrate_load_theme', 'smf_bannerBar_loadHeaders');
add_integration_function('integrate_theme_include', '$sourcedir/smf_bannerBarTheme.php');
add_integration_function('integrate_modify_modifications', 'smf_bannerBar_mod');
add_integration_function('integrate_admin_areas', 'smf_bannerBar_admin');
add_integration_function('integrate_load_theme', 'smf_bannerBar_load_theme');
add_integration_function('integrate_manage_themes', 'smf_bannerBar_remove_theme');
add_integration_function('integrate_buffer', 'smf_bannerBar_buffer');
add_integration_function('integrate_pre_load', 'smf_bannerBar_helpText');

?>